<?xml version="1.0"?>
<xsl:stylesheet 
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:ng="http://nextgen.data">

  <!-- MMA Lookup key -->
  <xsl:key name="mma-lookup" match="ng:mma" use="ng:mma_enum"/>

  <xsl:template match="commandresult">
    <HTML>
      <HEAD>
        <TITLE></TITLE>
          <style type="text/css">
            body { font-family: "Arial" }
            table { font-size: 80% }
            tr#heading   { color : #ffffff; background-color:000000 }
            tr#blank     { color : #ffffff; background-color:000000 }
            tr#hcsummary { background-color : #88ff88 }
            tr#hcwave    { background-color : #ccffcc }
            tr#hfwafe    { background-color : #44ff44 }
            tr#sysevent  { background-color : #88ff88 }
            tr#journal   { background-color : #ccccff }
            tr#harmjourn { background-color : #8888ff }
            tr#freqbins  { background-color : #4444ff }
            tr#lfevent   { background-color : #ffccff }
            tr#tranchar  { background-color : #cc88cc }
            tr#sysevent  { background-color : #cccccc }
            tr#deprecated{ background-color : #ff0000 }
            tr#en50160   { background-color : #ffff55 }
            tr#billing   { background-color : #ffff99 }
          </style>
      </HEAD>
      <BODY>
        <H2>Command: DBListRecords</H2>
        <xsl:apply-templates select="list"/>
      </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="list">
   
    <table border="0" cellpadding="4" width="100%">
      <tr id="heading">
        <td width="80"><center><b>DB Index</b></center></td>
        <td width="220"><center><b>Timestamp</b></center></td>
        <td width="80"><center><b>Cycles</b></center></td>
        <td width="150"><center><b>Record Type</b></center></td>
        <td></td>
        <td></td>
      </tr>
      <xsl:apply-templates select="item"/>
    </table>
  </xsl:template>

  <xsl:template match="item">

      <xsl:choose>
        <!-- -->
        <xsl:when test="@record_type='record_BLANK'">
          <tr id="blank">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_HC_WAVE'">
          <tr id="hcwave">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
            <td>Input:<xsl:value-of select="@input"/>; </td> 
            <td></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_HC_SUMMARY'">
          <tr id="hcsummary">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
            <td></td>
            <td></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_HF_WAVE'">
          <tr id="hfwave">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
            <td></td>
            <td></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_JOURNAL'">
          <tr id="journal">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
            
            <td>Type: <xsl:value-of select="@jrnl_type"/></td>
            
            <td>
              <xsl:variable name="mmanum" select="@mma_flag"/>
              <xsl:value-of select="key('mma-lookup', $mmanum)/ng:mma_name"/>
            </td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_HARM_200'">
          <tr id="deprecated">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_FREQ_BINS'">
          <tr id="freqbins">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
            <td></td>
            <td></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_PINST_BINS'">
          <tr>
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_FL_MOD_WAVE'">
          <tr>
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>

        <xsl:when test="@record_type='record_EN50160'">
          <tr id="en50160">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_LF_EVENT'">
          <tr id="lfevent">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
            <td></td>
            <td></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_TRAN_CHAR'">
          <tr id="tranchar">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
            <td></td>
            <td></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_GENERIC'">
          <tr>
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_SYS_EVENT'">
          <tr id="sysevent">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            
            <td><xsl:value-of select="@record_type"/></td>
            
            <td><xsl:value-of select="@charz"/>:<xsl:value-of select="@type"/></td>
            <td></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_SYS_LOG'">
          <tr>
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_HARM_JOURNAL'">
          <tr id="harmjourn">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
            <td></td>
            <td></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_HARM_PERCENTILE'">
          <tr>
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>
        
        <xsl:when test="@record_type='record_BILL_SUMMARY'">
          <tr id="billing">
            <td><xsl:value-of select="@db_index"/></td>
            <td><xsl:value-of select="@time_stamp"/></td>
            <td><xsl:value-of select="@cycles"/></td>
            <td><xsl:value-of select="@record_type"/></td>
          </tr>
        </xsl:when>
        
      </xsl:choose>
  </xsl:template>


  <!-- Lookup tables in the NextGen namespace (ng) -->
  <ng:mmas>
    <ng:mma><ng:mma_enum>0</ng:mma_enum><ng:mma_name>MMA_PRESENT</ng:mma_name></ng:mma>
    <ng:mma><ng:mma_enum>1</ng:mma_enum><ng:mma_name>MMA_MAX</ng:mma_name></ng:mma>
    <ng:mma><ng:mma_enum>2</ng:mma_enum><ng:mma_name>MMA_MIN</ng:mma_name></ng:mma>
    <ng:mma><ng:mma_enum>3</ng:mma_enum><ng:mma_name>MMA_AVG</ng:mma_name></ng:mma>
    <ng:mma><ng:mma_enum>4</ng:mma_enum><ng:mma_name>MMA_EXCEPTION</ng:mma_name></ng:mma>
    <ng:mma><ng:mma_enum>5</ng:mma_enum><ng:mma_name>MMA_EXCEPTION_W_WAVEFORM</ng:mma_name></ng:mma>
  </ng:mmas>


  </xsl:stylesheet>
