<?xml version="1.0"?>
<xsl:stylesheet 
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="commandresult">
    <html>
      <head>
        <title></title>
        <style type="text/css">
          body { font-family: "Arial" }
          table { font-size: 80% }
          tr#heading   { color : #ffffff; background-color:000000 }
          table tr:nth-child(odd){ background-color:#cccccc }
          table tr:nth-child(even){ background-color:#ffffff }
        </style>
      </head>
      <body>
        <h2>Command: <xsl:value-of select="@name"/></h2>
        <xsl:apply-templates select="config_flags_list"/>
        <xsl:apply-templates select="channellist"/>
      </body>
    </html>
  </xsl:template>

  <xsl:key name="valid-for" match="config_flags" use="@flags"/>

  <xsl:template match="config_flags_list"/>
  <xsl:template match="config_flags"/>

  <xsl:template match="channellist">
      <table border="0" cellpadding="4">
        <tr id="heading">
          <td><center><b>Register</b></center></td>
          <td><center><b>Type</b></center></td>
          <td><center><b>Abbrev</b></center></td>
          <td><center><b>Units</b></center></td>
          <td><center><b>Short<br/>Name</b></center></td>
          <td><center><b>Long<br/>Name</b></center></td>
          <td><center><b>Valid For...</b></center></td>
        </tr>
        <xsl:apply-templates select="channel"/>
      </table>
  </xsl:template>

  <xsl:template match="channel">
    <tr>
      <td><xsl:value-of select="@register"/></td>
      <td><xsl:value-of select="@type"/></td>
      <td><xsl:value-of select="@abbrev"/></td>
      <td><xsl:value-of select="@units"/></td>
      <td><xsl:value-of select="@short_name"/></td>
      <td><xsl:value-of select="@long_name"/></td>
      <td>
        <xsl:value-of select="key( 'valid-for', @valid_flags)/@desc"/>
      </td>
    </tr>
  </xsl:template>

  </xsl:stylesheet>
