<?xml version="1.0"?>
<xsl:stylesheet 
version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="commandresult">
    <html>
      <head>
        <title></title>
        <style type="text/css">
          body { font-family: "Arial" }
          table { font-size: 80% }
          tr#heading   { color : #ffffff; background-color:000000 }
          table tr:nth-child(odd){ background-color:#cccccc }
          table tr:nth-child(even){ background-color:#eeeeee }
        </style>
      </head>
      <body>
        <h2>Command: <xsl:value-of select="@name"/></h2>
        <xsl:apply-templates select="list"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="list">
   
    <table border="0" cellpadding="4">
      <tr id="heading">
        <td><center><b>Command Name</b></center></td>
        <td><center><b>Handler<br/>ID</b></center></td>
        <td><center><b>Security<br/>Level</b></center></td>
        <td><center><b>Has<br/>Style</b></center></td>
        <td><center><b>Usage (http://xxx.xxx.xxx.xxx/command?...)</b></center></td>
        <td><center><b>Notes</b></center></td>
      </tr>
      <xsl:apply-templates select="item"/>
    </table>
  </xsl:template>

  <xsl:template match="item">
    <tr>
      <td><xsl:value-of select="@cmd"/></td>
      <td><center><xsl:value-of select="@cid"/></center></td>
      <xsl:apply-templates select="@sl"/>
      <xsl:apply-templates select="@cmd"/>
    </tr>
  </xsl:template>

  <xsl:template match="@sl">
    <td>
      <xsl:choose>
        <xsl:when test=".='1'">
          User
        </xsl:when>
        <xsl:when test=".='2'">
          Admin
        </xsl:when>
        <xsl:when test=".='3'">
          System
        </xsl:when>
        <xsl:when test=".='99'">
          Factory
        </xsl:when>
        <xsl:otherwise>
          Unknown
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  
  <xsl:template match="@cmd">
      <xsl:choose>
        <xsl:when test=".=''">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='begintransaction'">
          <td></td>
          <td>cmd=begintransaction</td>
          <td>Allows for an uninterrupted series of commands to be issued from a single source.</td>
        </xsl:when>
        <xsl:when test=".='btdisable'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='btenable'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='btncommand'">
          <td></td>
          <td>cmd=btncommand&amp;btncmnd=<i>c</i>|<i>buttoncommand</i></td>
          <td>
            <table>
              <tr><td><i>buttoncommand</i></td><td><i>c</i></td></tr>
              <tr><td>StatusLEDOff</td><td>a</td></tr>
              <tr><td>StatusLEDOn</td><td>A</td></tr>
              <tr><td>StatusLEDX1</td><td>B</td></tr>
              <tr><td>StatusLEDX2</td><td>C</td></tr> 
              <tr><td>StatusLEDX3</td><td>D</td></tr> 
              <tr><td>StatusLEDX4</td><td>E</td></tr> 
              <tr><td>StatusLEDX5</td><td>F</td></tr> 
              <tr><td>Reset</td><td>i</td></tr> 
              <tr><td>ResetBatteryGauge</td><td>n</td></tr>
              <tr><td>Shutdown</td><td>s</td></tr>
              <tr><td>GetStatusLED</td><td>t</td></tr>
              <tr><td>GetBatteryLED</td><td>u</td></tr>
              <tr><td>GetVersionMajor</td><td>V</td></tr>
              <tr><td>GetVersionMinor</td><td>W</td></tr>
              <tr><td>GetVersionBuild</td><td>X</td></tr>
            </table>
          </td>
        </xsl:when>
        <xsl:when test=".='btnlistscreens'">
          <td></td>
          <td>cmd=btnlistscreens</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='btnpressed'">
          <td></td>
          <td>cmd=btnpressed&amp;button=left|center|right</td>
          <td>Simulates a press of one of the three cap sense buttons.</td>
        </xsl:when>
        <xsl:when test=".='btnsetgrablocation'">
          <td></td>
          <td>cmd=btnsetgrablocation&amp;location=default|<i>grablocation</i></td>
          <td>Sets the folder in which screen captures will stored.  <i>grablocation</i> is a full pathname.</td>
        </xsl:when>
        <xsl:when test=".='btquery'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='calfinish'">
          <td></td>
          <td>cmd=calfinish</td>
          <td>Internal command used for calibration process.</td>
        </xsl:when>
        <xsl:when test=".='calget'">
          <td></td>
          <td>cmd=calget</td>
          <td>Internal command used for calibration process.</td>
        </xsl:when>
        <xsl:when test=".='calput'">
          <td></td>
          <td>cmd=calput</td>
          <td>Internal command used for calibration process.</td>
        </xsl:when>
        <xsl:when test=".='calstart'">
          <td></td>
          <td>cmd=calstart[&amp;fast=yes|no][&amp;anti_alias=yes|no]</td>
          <td>Internal command used for calibration process.</td>
        </xsl:when>
        <xsl:when test=".='calvalues'">
          <td></td>
          <td>cmd=calvalues&amp;index=0|1|2|3|4|5|6|7[&amp;fast=yes|no][&amp;volts=<i>f.fff</i>][&amp;amps=<i>f.fff</i>]</td>
          <td>Internal command used for calibration process.</td>
        </xsl:when>
        <xsl:when test=".='calverify'">
          <td></td>
          <td>cmd=calverify[&amp;aafilter=on|off][&amp;fast=yes|no]</td>
          <td>Internal command used for calibration process.</td>
        </xsl:when>
        <xsl:when test=".='cfgchangekey'">
          <td></td>
          <td>cmd=cfgchangekey&amp;key=<i>keyname</i>&amp;type=reg_dword|reg_sz&amp;value=<i>valuename</i>&amp;data=<i>dworddata</i>|<i>strdata</i></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='changemonstate'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='charzcontrol'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='charzcreatebilling'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='charzcreatecompliance'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='charzgetbilling'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='charzgetcompliance'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='charznewdata'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='charzrecharacterizesession'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='charzreset'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbclosequery'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbdeletesession'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgetanalyzerconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgetcalibration'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgeteventdata'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgeteventlist'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgetinfo'">
          <td><center>X</center></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgetinstconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgetqueryresult'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgetrecords'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbgettrenddata'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dblistrecords'">
          <td><center>X</center></td>
          <td>cmd=dblistrecords&amp;session_number=<i>sessionnumber</i>&amp;records=<i>lowrecordnum-highrecordnum</i>[&amp;type_mask=<i>decimalvalue</i>][&amp;tx=Z][&amp;max_results=<i>decimalvalue</i>][&amp;details=yes|no][&amp;withstyle=yes|no]</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbloadfromarchive'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbnewsession'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbopenquery'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbresetquery'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbsavetoarchive'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbsetanalyzerconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbsetcalibration'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dbsetinstconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='dumphost'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='endtransaction'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getanalyzerconfig'">
          <td></td>
          <td>cmd=getanalyzerconfig</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getcalinfo'">
          <td></td>
          <td>cmd=getcalinfo[&amp;binary=1|0]</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getchannelinfo'">
          <td><center>X</center></td>
          <td>cmd=getchannelinfo[&amp;list=yes|no][&amp;register=x[&amp;seekfrom=current]]</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getcompliance'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getdbinfo'">
          <td><center>X</center></td>
          <td>cmd=getdbinfo[&amp;tz=Z]</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getdbrecords'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getharmonics'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getinstconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getinststatus'">
          <td><center>X</center></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getmpconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getmpstatus'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getphasors'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='gettime'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getvalues'">
          <td></td>
          <td>cmd-getvalues[&amp;registers=x-x|x,x...][&amp;binary=1][&amp;same=yes][&amp;verbose=1]</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='getwaveforms'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='gpiocontrol'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='httpadduser'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='httpdeleteuser'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='httpgetconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='httplistusers'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='httpsetconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='initconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='initstatus'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='lcdadjust'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='listcommands'">
          <td></td>
          <td>cmd=listcommands[&amp;withstyle]</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='listdrivers'">
          <td></td>
          <td>cmd=listdrivers</td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='loadanalyzerconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='netgetconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='netsetconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='netstatus'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='putanalyzerconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='putcalinfo'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='putfirmware'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='putinstconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='putmpconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='puttime'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='restart'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='restorefactorysettings'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='rptcopytousb'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='rptfinalize'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='rptgetlist'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='rptinitialize'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='rptremove'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='saveanalyzerconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='savesnapshot'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='shutdown'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='teststatus'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmgetconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmgetstatus'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmgettime'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmgettimezone'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmlisttimezones'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmsetconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmsettime'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmsettimezone'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmstart'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='tmstop'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='uinotify'">
          <td></td>
          <td>cmd=uinotify&amp;type=mp</td>
          <td>Internal system level command.</td>
        </xsl:when>
        <xsl:when test=".='updatefirmware'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='vncgetconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='vncsetconfig'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='wifiaddconnection'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='wificonnect'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='wifidisable'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='wifienable'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='wifiquery'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='wifiremoveallconnections'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:when test=".='wifiremoveconnection'">
          <td></td>
          <td></td>
          <td></td>
        </xsl:when>
        <xsl:otherwise>
          <td></td>
          <td></td>
          <td></td>
        </xsl:otherwise>
      </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
